import request from '@/utils/request'

// 查询销齿链型号管理列表
export function listRigidChain(query) {
  return request({
    url: '/system/pcRigidChain/list',
    method: 'get',
    params: query
  })
}

// 查询销齿链型号管理详细
export function getRigidChain(id) {
  return request({
    url: '/system/pcRigidChain/' + id,
    method: 'get'
  })
}

// 新增销齿链型号管理
export function addRigidChain(data) {
  return request({
    url: '/system/pcRigidChain',
    method: 'post',
    data: data
  })
}

// 修改销齿链型号管理
export function updateRigidChain(data) {
  return request({
    url: '/system/pcRigidChain',
    method: 'put',
    data: data
  })
}

// 删除销齿链型号管理
export function delRigidChain(id) {
  return request({
    url: '/system/rigidChain/' + id,
    method: 'delete'
  })
}
